Skip to main content
`Ctrl`+`K`

# DMDANaturalAllToGlobalCreate

Creates a scatter context that maps from a copy of the entire vector on each processor (in the natural ordering) to its local part in the global vector, obtained with `DMCreateGlobalVector()`.

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDANaturalAllToGlobalCreate(DM da, VecScatter *scatter)

Collective

## Input Parameter

- da - the `DMDA` context

## Output Parameter

- scatter - the scatter context

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMDAGlobalToNaturalAllCreate()`, `DMDAGlobalToNaturalEnd()`, `DMLocalToGlobalBegin()`, `DMDACreate2d()`, `DMGlobalToLocalBegin()`, `DMGlobalToLocalEnd()`, `DMDACreateNaturalVector()`

## Level

advanced

## Location

src/dm/impls/da/dagtona.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages